Ubuntu

Evolution cannot connect to Exchange backend process

Reported by Giorgos Logiotatidis on 2006-03-09
304
This bug affects 31 people
Affects Status Importance Assigned to Milestone
Evolution
Invalid
Undecided
Unassigned
evolution-exchange
Invalid
Medium
evolution-exchange (Debian)
Invalid
Undecided
Unassigned
evolution-exchange (Ubuntu)
High
Unassigned
Nominated for Gutsy by cnkbrown
Nominated for Hardy by cnkbrown
Nominated for Karmic by psiniemi

Bug Description

Hi,
I created a new exchange account using evolution and I get this error.
"Error while Scanning folders in "Exchange server es-0.isc.tuc.gr". Could not connect to Evolution Exchange backend process: No such file or directory"

using dapper
evolution-exchange/unknown uptodate 2.5.92-0ubuntu1

Mike Basinger (mike.basinger) wrote :

Same here with Evolution 2.6.0

Nicholas Reid (njreid) wrote :

Silly question, but are you using the correct URL for your exchange webmail? I had to play around a bit to get the format right:

Under Account Editor:

Server Type: Microsoft Exchange

Username: <DOMAIN>/<username>

OWA URL: https://email.<company>.com/exchange

I feel this could be better documented, if you didn't know that OWA related to the Outlook Web client then you would probably be tempted to insert the name of the Exchange server to which your corporate Outlook client is connected. In larger corporations this is usually different to the URL used for webmail access.

Matt Zimmerman (mdz) on 2006-04-05
Changed in evolution-exchange:
status: Unconfirmed → Needs Info
Giorgos Logiotatidis (seadog) wrote :

Tested again with evolution-exchange/unknown uptodate 2.6.0-0ubuntu2
 and seems fixed.

Mike Basinger (mike.basinger) wrote :

Still broken here.

Tom Worley (tom-worley) wrote :

I can confirm the same problem still on 2.6.0-0ubuntu2, however, no problems in 2.4.1-0ubuntu1.
This makes using exchange impossible until fixed =(

Tom Worley (tom-worley) wrote :

This bug makes evolution-exchange unusable

Changed in evolution-exchange:
status: Needs Info → Confirmed

Same experience here. It works with 2.6 in suse 10.1 but here in ubuntu it doesn't work.

Unfortunately, because it makes ubuntu useless for me.

I had the same problem with a freshly installed Dapper, but then starting ximian-connector-setup-2.6 resolved the issue. It now works properly.

Hope this might help...

Nathan Palmer (nathan1) wrote :

I have the same problem here on a freshly installed 386 dapper. I tried to use ximian-connector-setup-2.6 but still nothing. I have tried every possibly combination of OWA urls and still nothing.

Running 'evolution --force-shutdown' solved the problem for me with Evolution 2.6

Jie Zhang (jzhang918) wrote :

The evolution exchange in dapper works very well for me. But when I upgrading it to latest edgy, I encounter this same issue.

jrmann1999 (jmann) wrote :

To get my exchange working I did the following:

1. Add exchange.conf to /etc/ld.so.conf.d contents are:
/usr/lib/evolution/2.8/

2. sudo ldconfig

3. In evolution, Edit->Plugins->Exchange Operations was enabled.

Works fine now in edgy.

Jie Zhang (jzhang918) wrote :

jrmann1999's workaround works for me, too.

Pascal de Bruijn (pmjdebruijn) wrote :

Hmm, I have this same issue. But in my case it's erratic. Sometimes Evolution start without error. Sometimes I get this error.

One note though, I didn't supply a GC.

Ian Ohr (munk3h) wrote :

I am suffering the same problem with evolution 2.8 on Edgy, obviously I'm connecting to an exchange server. The problem seems to be intermittent.

1. Boot Ubuntu
2. Start evolution
3. Folders are populated an messages appear in the list for the selected folder, but there is no access to the contents of messages.
4. Error message appears:

---
Error while refreshing folder.

Lost connection to Evolution Exchange backend process
---

I looked at top, and unless I close evolution, the:

evolution-exchange-storage --oaf-activate-iid=OAFIID:GNOME_Evolution_Exchange_Component_Factory:2.8 --oaf-ior-fd=34

process is using 99% cpu.

Solutions I've attempted are:
a) evolution --force-shutdown
b) opening and closing evolution about 4 times

Solution b) seems to work, but obviously not a good one to have. I will try and get some kind of debug information to add to this bug report. Are there any specifics that would be good. Also, why is there no assignee to this bug?

Entotre (snorre-entotre) wrote :

I'm suffering the exact same problem av Ian Ohr.

Deleting the contents of .evolution/exchange seems to fix the problem (none of the config gets zapped).

Arthaey Angosii (arthaey) wrote :

I had the same trouble (Evolution 2.8., Ubuntu ). The following worked for me: http://www.buggy.id.au/2007/03/06/solved-evolution-loosing-connection-to-exchange/#comment-656

evolution –force-shutdown
cd ~/.evolution
cd mail/exchange

ls (to see what directory is there - in my case only one as I only have one exchange server account)

rm -rfv ./(name of directory)

Restart Evolution - did not have to re-create account

Thanks Arthaey ! That one worked for me, too.

The problem I had was that I was trying to configure more than one Exchange E-Mail account. So I deleted the account from the Evolution settings but the directory still remained in ~/.evolution/mail/exchange. After removing that directory all is working well.

jmitchell (jmitchell) wrote :

Thanks Arthaey!!! got me going in the right direction too.

Brian F (bgfeldm) wrote :

I applied Arthaey fix the first time it did not work, the second time still did not work, after the third or fourth try it worked.

evolution –force-shutdown
cd ~/.evolution
cd mail/exchange

ls (to see what directory is there - in my case only one as I only have one exchange server account)

rm -rfv ./(name of directory)

open evolution.

darren (darrenm) wrote :

Another one to add to the list.

Randomly I will get "Lost connection to Evolution Exchange backend process"

doing the fix above works for me too.

Adam Logghe (alogghe) wrote :

happens pretty frequently to me too

Adam Logghe (alogghe) wrote :

Sorry I should add that the above workaround is effective for a random amount of time but then the error will reoccur.

This bug also has affected 3 coworkers here at the office.

I've seen this on feisty and gutsy.

I notice that evolution-exchange isn't hooked to the upstream bugzilla?

darren (darrenm) wrote :

Sorry to be so vague but to add more information to this.

Evolution-exchange was working great in Gutsy until about a week ago. Now it is horribly buggy and broken. It lasts about 5 minutes until it loses connection to the Exchange backend process and I have to --force-shutdown

It still locks up doing LDAP name lookups when typing the address in the bar.

The current version I am using is: evolution-2.11.90-0ubuntu2 and evolution-exchange-2.11.90-0ubuntu1

Greg Haywood (ghaywood) wrote :

Same here, I am running Ubuntu 7.04 and Evolution 2.10.1

I have tried everything, deleting directory, the ld fix and even starting fresh by deleting everything. It works for a while (random) then "lost connection" errors start. They get worse and worse until I delete the account.

This is causing evolution to be unusable for me (I use it all day at work) and I have no other way to connect to an exchange server except going back to windows (uurrgghh) After 7 years with linux that is *not* a palatable option.

Please can someone, somewhere devote a little time to this? I cannot keep encouraging users to switch while this major problem exists!.

Thanks all,

Greg

mazzystr (mazzystr) wrote :

I have the same problem. Evolution with exchange connector was working good for awhile in Ubuntu Feisty.

The --force-shutdown directive doesnt work for me. I have to literally restart X...then evolution will work for awhile then loose connection to backend process.

Could this be an X issue?

Thanks,
/Chris Callegari

mvandeg (mvandegiessen) wrote :

I can confirm this bug. I also noticed that the evolution-exchange backend tries to use 100% cpu. Contrary to Chris' experience, II get the error message immediately after I start Evolution. Restarting X does not work for me.

Since I updated to Gutsy a few weeks ago Evolution finally seemed to be usable as an exchange client, but now its broken again. I hope it will be fixed before Gutsy is lauched.

Thanks a lot!

Martijn

nox216 (nox216) wrote :

Confirming this as existing in Gutsy. I get this error message within seconds of opening Evolution, usually. This is on Evolution 2.12.0.

Madhan Raj M (madanraj) wrote :

I too got into above situation.

I was trying to add a new USENET new account with wrong server name.

After applying Arthaey's workaround, it worked for me.

Thanks Arthaey !

Oderus (joel-girard) wrote :

I have the same problem. I upgraded from Feisty to Gutsy just a few days ago and everything was fine until today. Now it can't connect to the backend at all. I tried the --force-shutdown and did nothing, nor does rebooting / restarting X.

I would really hate to go back to Windoze...

I started evolution with the --debug switch and what I got is here..

CalDAV Eplugin starting up ...
** (evolution:30661): DEBUG: mailto URL command: evolution %s
** (evolution:30661): DEBUG: mailto URL program: evolution

(evolution:30661): evolution-mail-WARNING **: Error occurred while existing dialogue active:
Lost connection to Evolution Exchange backend process
Loading Spamassasin as the default junk plugin

Version is evolution 2.12.0.

Oderus (joel-girard) wrote :

http://ubuntuforums.org/showthread.php?p=3435563#post3435563

IMXUK has a fix that worked for me. Now Evolution is working... damn I love the open source community.

:)

I can confirm this on Gutsy updated as of 15 minutes ago. Is it a regression? The following resolved the issue, but this is a huge bug for corporate users or people use rely on their email/calendar!!!

$ evolution --force-shutdown
$ cd ~/.evolution
$ rm -rf `find . -name *exch* -print`

sandalle (sandalle) wrote :

Arthaey Angosii's fix worked for me (though I did run `evolution --force-shutdown` before removing ~/.exchange/mail/exchange/*. This is not just an Ubuntu bug as I have the same problem with Evolution 2.12.0 on another distribution. I don't know when this started as this is the first time I've had to use Exchange. :/

hotani (hotani) wrote :

Same problem here with 2.12.0. This was working fine in Feisty.

Mike Luca (mike-luca) wrote :

OK...same trouble here. Trying to put a common thread. My Fiesty-Gutsy upgraded box running Evolution 2.12 was doing the same. I deleted the folders under ~/.evolution/mail/exchange/. Exchange can only be configured for one account. For my part I had 3. I monitor the windows system administrator's box. I tried (apparently twice) to make an exchange box with that account. It failed, and I configured the admin box with an IMAP account. The backend seems to pop when I attempt to forward mail from the Admin box. I will let you know how it works after I noodle around for a while. Right now seems to be back to good.

jasonmartens (me-jasonmartens) wrote :

Evolution-exchange has been working fine since I installed Gutsy on this laptop. However, today I started getting this error message every time I open evolution. Evolution is now completely useless to me. The above fix ofLost connection to Evolution Exchange backend process deleting *exch* in the ~/.exchange directory did not fix it for me. This is the output when running exchange from a shell:

jmartens@mouse:~$ evolution
CalDAV Eplugin starting up ...
evolution-shell-Message: Killing old version of evolution-data-server...
Loading Spamassasin as the default junk plugin
** (evolution:5809): DEBUG: mailto URL command: evolution %s
** (evolution:5809): DEBUG: mailto URL program: evolution

(evolution:5809): evolution-mail-WARNING **: Error occurred while existing dialogue active:
Lost connection to Evolution Exchange backend process

(evolution:5809): evolution-mail-WARNING **: Failed to refresh folders: Lost connection to Evolution Exchange backend process

Chris Cooper (ccooper) wrote :

Also occurs in Debian Sid/Lenny using evolution-exchange 2.12.2 and evolution 2.12.2

Evolution with exchange-connector has also been broken in Fedora for some time now with the above problem happening. This is not a distribution related problem. There was a period of time before I did an upgrade where it worked beautifully - as many of you have indicated above. If my memory serves me right it was version 2.6 or something there abouts.

Evolution version 2.10.3

I've experienced this bug starting back in Fedora 6, about a year ago with evolution then. I check it every now and then to see if they've fixed it. Apparently not.

FYI, removing all of your account cached information in ~./evolution/mail/exchange/ will only temporarily fix your problem. It will come back. The fix has to be in exchange-connector.

I've not yet searched Evolution's mailing list, but at the time I was having the bug I did full dumps of my crashes and they never were able to help me fix the problem.

casanostra (jonas-granlie) wrote :

I've had this problem on Gutsy/Evolution 2.12.1 for a while. Recently, though, I have been using Evolution without any glitches. I had a feeling that the bug was somehow triggered when searching, so I haven't been doing that. Today I actually needed to find something, so I searched first in 'current folder', without problems, and then in 'current account'. The search was performed, but when I cleared the search box and returned to the Inbox, I promptly got the "Lost connection..." message and had to completely delete ~/.evolution to get going again. I haven't had the time to test whether this behaviour is consistently reproducible, but it repeated itself three times in a row before I was in luck.

Same output as jasonmartens.

C de-Avillez (hggdh2) on 2007-12-27
Changed in evolution-exchange:
assignee: nobody → desktop-bugs
status: New → Invalid
assignee: desktop-bugs → nobody
Changed in evolution-exchange:
status: Confirmed → Triaged
Changed in evolution-exchange:
status: Unknown → Confirmed
Brad Johnson (kkhww1902) on 2008-06-10
Changed in evolution-exchange:
status: Triaged → Incomplete
76 comments hidden view all 156 comments
C de-Avillez (hggdh2) wrote :

@oss_test_launchpad: anyone can add data to upstream bugs. Please feel free to do it yourself.

@ hggdh: I suppose upstream should only be bothered with comments from people with some technical knowledge, so not "anyone" can do it.

General remark: Noticed that when there have been "backend process" problems while loding messages into Evolution the first time, you cannot acces them later, either. This is dramatic and makes Evolution not usuable for professional use.

The problem is still present in Ubuntu 8.10

mizu (michal-zimen) wrote :

I agree, evolution in Ubuntu 8.10 has the same problem.

I attached strace output. I hope it could be usefull.

mizu (michal-zimen) wrote :

Further, output from gdb:

Program received signal SIGSEGV, Segmentation fault.
[Switching to Thread 0xb622e720 (LWP 18305)]
0xb6e35d07 in g_str_hash () from /usr/lib/libglib-2.0.so.0

and backtrace of stack:

#0 0xb6e35d07 in g_str_hash () from /usr/lib/libglib-2.0.so.0
#1 0xb6e04e87 in g_hash_table_lookup () from /usr/lib/libglib-2.0.so.0
#2 0x0805fb2c in ?? ()
#3 0x0806008e in ?? ()
#4 0x08065643 in ?? ()
#5 0xb6e496fd in ?? () from /usr/lib/libglib-2.0.so.0
#6 0xb6e126f8 in g_main_context_dispatch () from /usr/lib/libglib-2.0.so.0
#7 0xb6e15da3 in ?? () from /usr/lib/libglib-2.0.so.0
#8 0xb6e162c2 in g_main_loop_run () from /usr/lib/libglib-2.0.so.0
#9 0xb7057cf3 in bonobo_main () from /usr/lib/libbonobo-2.so.0
#10 0x0805b96b in ?? ()
#11 0xb6c91685 in __libc_start_main () from /lib/tls/i686/cmov/libc.so.6
#12 0x080562c1 in ?? ()

mizu (michal-zimen) wrote :

OK; again me:)
 I've found out, there is exchange with debuging information, about I didn't know before.

so here is the output:

Program received signal SIGSEGV, Segmentation fault.
0xb6fafd07 in g_str_hash () from /usr/lib/libglib-2.0.so.0
(gdb) bt
#0 0xb6fafd07 in g_str_hash () from /usr/lib/libglib-2.0.so.0
#1 0xb6f7ee87 in g_hash_table_lookup () from /usr/lib/libglib-2.0.so.0
#2 0x0805fb2c in message_removed (stub=0x8b36438, mfld=0x8bce5b8, href=0x0) at mail-stub-exchange.c:405
#3 0x0806008e in sync_deletions (mse=<value optimized out>, mfld=0xb5a056b0) at mail-stub-exchange.c:1193
#4 0x08065643 in connection_handler (source=0x8b3a850, condition=G_IO_IN, data=0x8b36438) at mail-stub.c:168
#5 0xb6fc36fd in ?? () from /usr/lib/libglib-2.0.so.0
#6 0xb6f8c6f8 in g_main_context_dispatch () from /usr/lib/libglib-2.0.so.0
#7 0xb6f8fda3 in ?? () from /usr/lib/libglib-2.0.so.0
#8 0xb6f902c2 in g_main_loop_run () from /usr/lib/libglib-2.0.so.0
#9 0xb71d1cf3 in bonobo_main () from /usr/lib/libbonobo-2.so.0
#10 0x0805b96b in main (argc=1, argv=Cannot access memory at address 0x14
) at main.c:278

Actually I don't have a time to read source code, or even tracing this bug. If someone has, I can help him.

The Arthaey/Leonard fix worked for me in Intrepid. Could it be a file permission problem?

mizu (michal-zimen) wrote :

I have download deb sources of evolution-exchange with the same version as binary and recompile it manually. Suddenly my problem disappeared and till now I haven't found any problems. I didn't change any permission of my mailbox.

I don't understand how could it be possible. :)

Does anyone have some hints ?

C de-Avillez (hggdh2) wrote :

@mizu -- neither do I... what exactly did you download? How did you recompile & install it? What version are you running?

mizu (michal-zimen) wrote :

apt-get source evolution-exchange (from Intrepid repository)
....

./configure --prefix=/usr --enable-maintainer-mode (config.h is attached)
make && make install

C de-Avillez (hggdh2) wrote :

@mizu: thanks. Now, please check if there was a ./debian directory created under the ./evolution-exchange-2.24.1, but I think this might be more of a rethorical question...

Here's the deal: when you 'apt-get source blah', 3 files are downloaded:

- blah_version.orig.tar.gz
- blah_version-ubuntuMod.diff.gz
- blah_version-ubuntuMod.dsc

'apt-get source' will download the 3 of them, will untar the original and apply the diffs -- *iff* you have the development packages installed (at least devscripts, I think). This is important because (a) the Ubuntu install may want to put things at a slightly different place than the original upstream code; (b) we may have our own fixes to apply over the original.

Let's leave aside, for a moment, the issue of the ./debian directory. What you did -- './configure --prefix=/usr --enable-maintainer-mode && make && make install' (and you probably meant, for the last one, 'sudo make install') will bypass *all* Ubuntu customisations (if any). So... your install *may* be a bit different from a Ubuntu install. Your install may not have any additional patches applied.

And, of course, this may mean something. Or nothing.

Now, going back to the ./debian: *even* if you had it created, if you did a 'make && sudo make install' you would still not apply any Ubuntu fixes and changes tot he upstream source. Worse still, there is no guarateed way of backing out your local install (since it was done outside of dpkg/apt control.

You can find what is being changed locally by the Ubuntu package by looking at the ./debian and the ./debian/patches directories; a similar (but more difficult to follow) way is to look at the .diff file.

No matter what: if it is working as you built it, then it is something we can research, and try to find what is different.

A quick guide to packaging, and patching, for Ubuntu is at https://wiki.ubuntu.com/PackagingGuide.

Thank you.

Anyone with some knowledge going to hand over this information upstream? Suppose it's rather futile to describe problems here when the people who would be concerned do not read this forum.

mizu (michal-zimen) wrote :

Hi,

Sorry, I was out for a longer time...

So, I tried to upgrade evolution-exchange with last update 2.24.2, but there is still the same problem.

The fix which helps me looks like this:

--- mail-stub-exchange-old.c 2008-12-04 12:43:18.000000000 +0100
+++ mail-stub-exchange.c 2008-12-04 12:43:45.000000000 +0100
@@ -1190,7 +1190,8 @@
    */
   while (my_mmsg->seq != mmsg->seq) {
    mfld->deleted_count++;
- message_removed (stub, mfld, my_mmsg->href);
+ if (my_mmsg->href != 0x0 )
+ message_removed (stub, mfld, my_mmsg->href);
    changes = TRUE;
    my_i--;
    my_mmsg = mfld->messages->pdata[my_i];

No guaranty, it's only workaround fix until I will be able to find true reason.

era (era) wrote :

oss_test_launchpad: as long as the bug is in "new" / "incomplete" it cannot meaningfully be communicated upstream. Once there is a reasonable understanding of the root cause of the problem, it can be marked as "Confirmed" and passed upstream. For further information about the lifecycle of a bug in Launchpad, see e.g. http://news.launchpad.net/general/of-bugs-and-statuses and the pages under https://wiki.ubuntu.com/Bugs/Triaging (regrettably, I have been unable to find a single understandable authoritative up-to-date source for this type of information, but at least that's a start).

It looks like mizu is making good progress with nailing down the nature of the problem -- please keep us posted!

To my limited understanding, it is correct to assign it to the package "evolution-exchange" and should be marked as "Invalid" for Evolution proper. But I'm just a random volunteer, and use neither Evolution nor Exchange.

Hi,

  If the patch isn't going to be accepted, then this case might be
closed :)

-
 Michal Zimen <email address hidden>

       [ I am Beloved, Therefore I am. ]

On Fri, 2009-01-23 at 09:00 +0000, era wrote:
> oss_test_launchpad: as long as the bug is in "new" / "incomplete" it
> cannot meaningfully be communicated upstream. Once there is a
> reasonable understanding of the root cause of the problem, it can be
> marked as "Confirmed" and passed upstream. For further information
> about the lifecycle of a bug in Launchpad, see e.g.
> http://news.launchpad.net/general/of-bugs-and-statuses and the pages
> under https://wiki.ubuntu.com/Bugs/Triaging (regrettably, I have been
> unable to find a single understandable authoritative up-to-date source
> for this type of information, but at least that's a start).
>
> It looks like mizu is making good progress with nailing down the nature
> of the problem -- please keep us posted!
>
> To my limited understanding, it is correct to assign it to the package
> "evolution-exchange" and should be marked as "Invalid" for Evolution
> proper. But I'm just a random volunteer, and use neither Evolution nor
> Exchange.
>

Changed in evolution:
status: New → Invalid

Well, there is an upstream bug anyway (http://bugzilla.gnome.org/show_bug.cgi?id=498099). Point is that there has NEVER been a reaction of any developer there even though the bug has been posted on 2007-11-19.

Btw. I attempted to register for a Bugzilla account a couple of weeks ago but a technical error in Bugzilla wouldn't let me.

P0per (chrispope) wrote :

(I've mirrored this comment in the upstream bug)

I've confirmed by debugging that the root cause of this issue is http://bugzilla.gnome.org/show_bug.cgi?id=522277. That bug's got a patch attached, which resolves the issue for me. Please push for inclusion into evolution, as without this fix, Evolution + OWA is crippled for anyone with a large volume of email.

C de-Avillez (hggdh2) wrote :

P0per, thank you for your work on this. Can you please tell us what version of Evolution and Evolution-Exchange you applied the upstream patch to?

P0per (chrispope) wrote :

Patch is only against evolution-exchange.

I applied it to the latest from svn trunk, from http://svn.gnome.org/svn/evolution-exchange/trunk.

sandalle (sandalle) wrote :

I tried the patch from http://bugzilla.gnome.org/show_bug.cgi?id=522277 and all it does is make the error not appear anymore in Evolution, but when I try to click on an unread e-mail I still get:
Unable to retrieve message
Lost connection to Evolution Exchange backend process

sandalle (sandalle) wrote :

After restarting Evolution a few times this fix seems to have taken affect. :) The first few times I saw the behaviour in my prior post, but it fixed itself it seems.

Darxus (darxus) wrote :

I am having this chronic "Lost connection to Evolution Exchange backend process" problem with evolution 2.26.1-0ubuntu2 / evolution exchange 2.26.0-0ubuntu3 / Ubuntu 9.04 / Outlook Web Access 2003, over a lan (2 hops, 0.556ms pings).

I have 970 emails in my inbox.

Why do the error messages say nothing about attempting to reconnect to, or restart, the exchange backend process? This makes me wonder if evolution is also to blame, not just evolution-exchange.

How could I help debug?

Darxus (darxus) on 2009-10-01
Changed in evolution-exchange (Ubuntu):
status: Incomplete → Confirmed
status: Confirmed → Incomplete
Darxus (darxus) wrote :

According to comment #92, no work will be done on this bug until someone provides a "backtrace": https://wiki.ubuntu.com/Backtrace#Already%20running%20programs

Jack Nash (jack-nash) wrote :

All,

I have not read everyone's posting's, but I had Evolution working very well and stable when my exchange mailbox was fairly empty. Once I loaded all of my mail messages from my .pst file (approx 4GB) onto the server and tried to use Evolution, I received the same error message "...unable to connect to backend process...".

This makes me think there might be a relationship with the amount of data within the mailbox.

Any thoughts on this idea?

Darxus (darxus) wrote :

Jack: I agree that the problem seems to correspond to the amount of data in a mailbox. As I posted in the comment before yours, this bug is waiting for a backtrace. In the short time I managed to put up with evolution since I posted that comment I was not able to reproduce the backend crash to get a trace.

Jack Nash (jack-nash) wrote :

Darxus,

Ok, thanks. I did not read all of the post, but the ones that I did
read did not seem to mention the amount of data in the mailbox. Thanks
for confirming.

Regarding the trace, are you saying that work on his issue is stopped
until someone provides a backtrace?

Thanks,

Jack

On Thu, 2009-11-05 at 06:05 +0000, Darxus wrote:
> Jack: I agree that the problem seems to correspond to the amount of
> data in a mailbox. As I posted in the comment before yours, this bug is
> waiting for a backtrace. In the short time I managed to put up with
> evolution since I posted that comment I was not able to reproduce the
> backend crash to get a trace.
>

My mailbox runs between 50 and 100m. I find that most of the time when I have a problem with evolution losing contact with the backend process it's after I've been using windows/outlook for a while. When I switch back to ubuntu/evolution I almost always have problems the first time I start evolution. The fix seems to be to delete evolution's local exchange folder and force it to completely resync. This is the command that fixes it.

rm -rf ~/.evolution/mail/exchange/myID@server

Occasionally while resyncing it loses contact and needs to be restarted. After that it runs fine until I switch back to using windows/outlook.

Gary Mansell (garymansell) wrote :

I agree with Chuck Hamilton, switching from Evolution to Exchange and then back to Evolution causes this bug to appear

Darxus (darxus) wrote :

Jack: Yes, this bug's status of "incomplete" indicates that work on this issue has stopped until necessary information is provided. The status was changed in comment #92 in June, stating that a backtrace of the process evolution-exchange-storage was needed.

Directions to obtain such a trace are here: https://wiki.ubuntu.com/Backtrace#Already%20running%20programs

Chuck: I suspect the reason you're seeing the bug after "using outlook for a while" is because of the amount of data evolution has to sync at that point.

Wayland Chan (wayland-chan) wrote :

Just starting using Ubuntu and came across this same problem. What amazes me is that this bug affects so many people and no one has provided a trace yet.

Well, hopefully I can get things rolling again. I've attached my backtrace.

What I did in Evolution was simply click on Calendars, then check the "Calendar" for my Exchange account and then I got the inevitable "The Evolution calendars have quit unexpectedly."

tvicol (tiberiu-vicol) wrote :

I still have this problem in Ubuntu Lucid Lynx; Evolution 2.28.3
¨Lost connection to Evolution Exchange backend process¨

Still hope that someone will get a solution.

Regards,

@Darxus, Mizu provided a backtrace in comment #122 (and a patch in comment #129). Did he trace the wrong process?

Darxus (darxus) wrote :

Adam: I missed that, thanks. I don't actually know enough to positively identify #122 as a backtrace, but at the point a backtrace got posted anyone should have changed the status of this bug from "incomplete" to "confirmed" to get the attention of developers again. Doing that now. And now I see #121 actually uses the word "backtrace".

Changed in evolution-exchange (Ubuntu):
status: Incomplete → Confirmed
Darxus (darxus) wrote :

Upstream bugs look like a fix was included in version "2.27.5+" which is older than both Karmic and Lucid. (But not in jaunty or jaunty-updates.)

So if you're still seeing this problem with a newer version, we need to know.

And I'm due to try evolution again.

If you need this in an older Ubuntu release, you should nominate it at the top of this bug. Not sure what happens from there, and I see it's already nominated for a couple.

I also see it's nominated for Karmic, where the bug should already have been fixed.

Darxus (darxus) wrote :

Somebody should make launchpad notice and report when upstream bugs' statuses are changed. This was (supposedly) fixed over a year ago.

Darxus (darxus) wrote :

Upstream says to delete ~/.evolution/exchange and ~/evolution/mail/exchange directories.

Darxus (darxus) wrote :

Lame. Doesn't support Exchange 2007 which my company recently upgraded to, only 2000 and 2003. I hate undocumented protocols.

Chris Johnson (raugturi) wrote :

I apologize if this is a stupid question, but should this be resolved for 2.28.3 without having to apply the patch? That was the understanding I got from reading the thread. However, I am on Lucid Lynx using 2.28.3 and continue to have this problem. I only recently installed Ubuntu on this laptop, so I was pretty sure it started out with 2.28, but I still deleted everything in my ~/.evolution/exchange/ and ~/.evolution/mail/exchange/ folders just in case it was created initially in the old version and needed to be cleared out to have the updated version correct the issue. Unfortunately it still continues to give this error. Before I go to the trouble of compiling the source from scratch with the patch included I wanted to make sure I wasn't wasting time by doing so.

Changed in evolution-exchange:
importance: Unknown → Medium
status: Confirmed → Unknown
Theodotos Andreou (theodotos) wrote :

It also affects me on Lucid. The OWA functionality of Evolution has been crippled since 9.04. I am now using !0.04. Same thing!

Reece (reece) wrote :

Same problem here with evo 2.28.3 on Lucid. Specifically:

- Connection to mail works (albeit very slowly, but that might be a hoster problem)

- Switching to calendars results in "The evolution calendars have quit unexpectedly." Mail ceases to work until I evolution --force-shutdown .

Receive mail configuration:
username: domain\shortname
owa url: https://mail.xxx.yyy.ms (mailstreet)
(checked) mailbox name is different than user name
mailbox: <email address hidden>

Changed in evolution-exchange:
status: Unknown → Invalid
Displaying first 40 and last 40 comments. View all 156 comments or add a comment.
This report contains Public information  Edit
Everyone can see this information.

Other bug subscribers

Remote bug watches

Bug watches keep track of this bug in other bug trackers.